%define debug_package %{nil}
%define py_setup setup.py

%if 0%{?centos} == 6
%global         with_python2 1
%else
%global         with_python2 0
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

%define name dfdatetime
%define version 20200824
%define unmangled_version 20200824
%define release 1

Summary:	Digital Forensics Date and Time (dfDateTime).
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{unmangled_version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		dfDateTime development team <log2timeline-dev@googlegroups.com>
Packager:	log2timeline development team <log2timeline-dev@googlegroups.com>
Url:		https://github.com/log2timeline/dfdatetime/wiki

%description
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%if 0%{?with_python2}
%package -n python2-%{name}
BuildRequires:	python2-setuptools
Obsoletes: python-dfdatetime
Provides: python-dfdatetime = %{version}
Summary: Digital Forensics date and time (dfDateTime).

%description -n python2-%{name}
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: Digital Forensics date and time (dfDateTime).
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if ! 0%{?with_python2}
Obsoletes:	python2-%{name}
%endif

%description -n python%{python3_pkgversion}-%{name}
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.
%endif

%prep
%setup -n %{name}-%{unmangled_version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?with_python2}
%files -n python2-%{name}
%license LICENSE
%doc README
%{python2_sitelib}/dfdatetime
%{python2_sitelib}/dfdatetime*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfdatetime
%{python3_sitelib}/dfdatetime*.egg-info
%endif

%if 0%{?centos} != 6
%exclude %{_bindir}/*
%endif
%changelog
* Mon Aug 24 2020 Lawrence R. Rogers <lrr@cert.org> 20200824-1
* Release 20200824-1
	Version 20200824.

* Sun Aug  9 2020 Lawrence R. Rogers <lrr@cert.org> 20200809-1
* Release 20200809-1
	Version 20200809.

* Sat Jun 13 2020 Lawrence R. Rogers <lrr@cert.org> 20200613-1
* Release 20200613-1
	Version 20200613.

* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 20200501-1
* Release 20200501-1
	Version 20200501.

* Tue Feb  4 2020 Lawrence R. Rogers <lrr@cert.org> 20200121-2
* Release 20200121-2
	Python 3 package now obsoletes Python 2 package.

* Tue Jan 21 2020 Lawrence R. Rogers <lrr@cert.org> 20200121-1
* Release 20200121-1
	Version 20200121
	Python 2 is now optional and off by default.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 20190517-2
* Release 20190517-2
	Version 20190517-2: Uses python3_pkgversion for the current version of Python 3.

* Fri May 17 2019 Lawrence R. Rogers <lrr@cert.org> 20190517-1
* Release 20190517-1
        Version from 20190517.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20190116-2
* Release 20190116-2
        Version as of 20190116
	python- packages renamed to python2- and added python3-dfdatetime

* Wed Jan 16 2019 Lawrence R. Rogers <lrr@cert.org> 20190116-1
* Release 20190116-1
        Version from 20190116.

* Thu Oct 25 2018 Lawrence R. Rogers <lrr@cert.org> 20181025-1
* Release 20181025-1
        Version from 20181025.

* Wed Jul  4 2018 Lawrence R. Rogers <lrr@cert.org> 20180704-1
* Release 20180704-1
        Version from 20180704.

* Wed Jun  6 2018 Lawrence R. Rogers <lrr@cert.org> 20180606-1
* Release 20180606-1
        Version from 20180606.

* Thu May 10 2018 Lawrence R. Rogers <lrr@cert.org> 20180510-1
* Release 20180510-1
        Version from 20180510.

* Sat Mar 24 2018 Lawrence R. Rogers <lrr@cert.org> 20180324-1
* Release 20180324-1
        Version from 20180324.

* Sun Mar 18 2018 Lawrence R. Rogers <lrr@cert.org> 20180318-1
* Release 20180318-1
        Version from 20180318.

* Thu Dec 28 2017 Lawrence R. Rogers <lrr@cert.org> 20171228-1
* Release 20171228-1
        Version from 20171228.

* Wed Nov 29 2017 Lawrence R. Rogers <lrr@cert.org> 20171129-1
* Release 20171129-1
        Version from 20171129.

* Thu Nov  9 2017 Lawrence R. Rogers <lrr@cert.org> 20171109-1
* Release 20171109-1
        Version from 20171109.

* Thu Jul 27 2017 Lawrence R. Rogers <lrr@cert.org> 20170719-1
* Release 20170719-1
        Version from 20170719.

* Fri Nov  4 2016 Lawrence R. Rogers <lrr@cert.org> 20161104-1
* Release 20161104-1
        Version from 20161104.

* Mon Oct 17 2016 Lawrence R. Rogers <lrr@cert.org> 20161017-1
* Release 20160706-1
        Version from 20161017.

* Wed Jul  6 2016 Lawrence R. Rogers <lrr@cert.org> 20160706-1
* Release 20160706-1
        Version from 20160706.

* Fri Jun 10 2016 Lawrence R. Rogers <lrr@cert.org> 20160610-1
* Release 20160610-1
        Original release
